Pulp - Story #3728

Story # 3716 (CLOSED - CURRENTRELEASE): As a production Pulp user, | have an Ansible installer

Story # 3719 (CLOSED - CURRENTRELEASE): Create the webserver role

As a role user, | can have Apache installed and configured to serve Pulp

06/01/2018 03:36 PM - bmbouter

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: ehelms@redhat.com % Done: 0%
Category: Installer Estimated time: 0:00 hour
Sprint/Milestone: 3.0.0

Platform Release: Tags:

Groomed: No Sprint:

Sprint Candidate: No Quarter:

Description

This should configure Apache to serve all Pulp wsgi applications to be served via /.

The documentation on how to deploy Pulp's webserver are here:

https://docs.pulpproject.org/en/3.0/nightly/overview/components/webserver.html

It should install the systemd files for Apache.

Part of this story is to add variable(s) to the webserver role to indicate nginx or apache.

Related issues:

Is duplicate of Pulp - Task #2921: Create and publish an ansible role to inst...

CLOSED - WONTFIX

Associated revisions

Revision f487f0bd - 11/05/2018 04:16 PM - Eric D. Helms

Add Apache webserver support

History

#1 - 06/01/2018 06:45 PM -

bmbouter

- Parent task changed from #3716 to #3719

#2 - 06/19/2018 06:33 PM -

amacdona@redhat.com

- Is duplicate of Task #2921: Create and publish an ansible role to install apache and configure it for pulp added

#3 - 06/19/2018 06:33 PM -

amacdona@redhat.com

- Status changed from NEW to CLOSED - WONTFIX

This story has been split, each of the new stories is marked as a duplicate.

#4 - 06/19/2018 08:35 PM -

amacdona@redhat.com

- Status changed from CLOSED - WONTFIX to NEW

#5 - 09/04/2018 04:08 PM -

- Description updated

#6 - 11/21/2018 07:01 PM -

amacdona@redhat.com

amacdona@redhat.com

- Status changed from NEW to MODIFIED
https://docs.pulpproject.org/en/3.0/nightly/overview/components/webserver.html

- Assignee set to ehelms@redhat.com

#7 - 04/25/2019 06:45 PM - daviddavis
- Sprint/Milestone set to 3.0.0

#8 - 04/26/2019 10:35 PM - bmbouter
- Tags deleted (Pulp 3)

#9 - 12/13/2019 06:32 PM - bmbouter
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE

#10 - 05/13/2020 10:30 PM - bmbouter

- Category set to Installer

- Tags deleted (Pulp 3 installer)
